document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Buy button functionality
  const buyButton = document.querySelector('.cta-button');
  buyButton.addEventListener('click', () => {
    // Simple modal or alert for demo purposes
    alert('Thank you for your interest! This would redirect to a payment processor in a real implementation.');
  });

  // Preview button functionality
  const previewButton = document.querySelector('.preview-button');
  previewButton.addEventListener('click', () => {
    // This would typically trigger a PDF download or preview
    alert('Sample chapter download would start in a real implementation.');
  });

  // Add scroll-based animations
  const observerOptions = {
    threshold: 0.1
  };

  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('fade-in');
      }
    });
  }, observerOptions);

  document.querySelectorAll('section').forEach(section => {
    observer.observe(section);
  });
});
